package com.qiaoba.common.web.util;

import org.springframework.util.AntPathMatcher;

/**
 * UriUtil
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-06-11 12:01:18
 */
public class UriUtil {

    private static final AntPathMatcher MATCH = new AntPathMatcher();

    private UriUtil() {
    }

    /**
     * 通配符匹配
     *
     * @param pattern 通配符
     * @param path    uri
     * @return 结果
     */
    public static boolean match(String pattern, String path) {
        return MATCH.match(pattern, path);
    }
}
